<?php
include('config.php');
date_default_timezone_set('UTC');

define('GX_PATH', realpath(__DIR__.'/'));
define('GX_LIB', GX_PATH.'/lib/');

require 'autoload.php';

new Db();

if( isset($_GET['ip']) 
    && isset($_GET['country'])
    && isset($_GET['device']) ) {
    // $rawData = file_get_contents("php://input");

    // // this returns null if not valid json
    // $data = json_decode($rawData);
    // $fh = fopen('json/leadReport-'.date('Y-m-d').'.json', 'w');
    // fwrite($fh, json_encode($_REQUEST['data']));
    // fclose($fh);
    $ip = Typo::cleanX($_GET['ip']);
    $country = Typo::cleanX($_GET['country']);
    $device = Typo::cleanX($_GET['device']);

    echo Db::insert(array(
        'table' => 'hitstat',
        'key' => array(
            'date' => date('Y-m-d H:i:s'),
            'ip' => $ip,
            'country' => $country,
            'device' => $device
        ))
    );

}
